Bug 81544 - sysutils/dar fails to configure when devel/libgnugetopt is installed
Summary: sysutils/dar fails to configure when devel/libgnugetopt is installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-27 08:40 UTC by Vasil Dimov
Modified: 2005-05-29 00:04 UTC (History)
1 user (show)

See Also:


Attachments
Makefile.diff (240 bytes, patch)
2005-05-27 08:40 UTC, Vasil Dimov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vasil Dimov 2005-05-27 08:40:01 UTC
sysutils/dar fails to configure when devel/libgnugetopt is installed

How-To-Repeat: 
# make configure
===>  Extracting for dar-2.2.2
=> Checksum OK for dar-2.2.2.tar.gz.
===>  Patching for dar-2.2.2
===>  Applying extra patch /usr/ports/sysutils/dar/files/extra-patch-src-libdar-integers.hpp
===>  Applying FreeBSD patches for dar-2.2.2
===>   dar-2.2.2 depends on file: /usr/local/bin/libtool15 - found
===>   dar-2.2.2 depends on shared library: intl - found
===>  Configuring for dar-2.2.2
configure: WARNING: you should use --build, --host, --target
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking whether build environment is sane... yes
checking for gawk... no
checking for mawk... no
checking for nawk... nawk
checking whether make sets $(MAKE)... yes
checking whether NLS is requested... yes
checking for msgfmt... /usr/local/bin/msgfmt
checking for gmsgfmt... /usr/local/bin/msgfmt
checking for xgettext... /usr/local/bin/xgettext
checking for msgmerge... /usr/local/bin/msgmerge
checking for style of include used by make... GNU
checking for i386-portbld-freebsd5.4-gcc... cc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ANSI C... none needed
checking dependency style of cc... gcc3
checking build system type... i386-portbld-freebsd5.4
checking host system type... i386-portbld-freebsd5.4
checking for i386-portbld-freebsd5.4-ranlib... no
checking for ranlib... ranlib
checking for i386-portbld-freebsd5.4-g++... c++
checking whether we are using the GNU C++ compiler... yes
checking whether c++ accepts -g... yes
checking dependency style of c++... gcc3
checking for library containing strerror... none required
checking how to run the C++ preprocessor... c++ -E
checking for egrep... grep -E
checking for ANSI C header files... yes
checking for an ANSI C-conforming const... yes
checking for signed... yes
checking for inline... inline
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for off_t... yes
checking for size_t... yes
checking for long long... yes
checking for long double... yes
checking for wchar_t... yes
checking for wint_t... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for intmax_t... yes
checking whether printf() supports POSIX/XSI format strings... yes
checking for working alloca.h... no
checking for alloca... yes
checking for stdlib.h... (cached) yes
checking for unistd.h... (cached) yes
checking for getpagesize... yes
checking for working mmap... yes
checking whether we are using the GNU C Library 2.1 or newer... no
checking whether integer division by zero raises SIGFPE... yes
checking for unsigned long long... yes
checking for inttypes.h... yes
checking whether the inttypes.h PRIxNN macros are broken... no
checking for stdint.h... (cached) yes
checking for SIZE_MAX... 4294967295U
checking for stdint.h... (cached) yes
checking for ld used by GCC... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking for ptrdiff_t... yes
checking argz.h usability... no
checking argz.h presence... no
checking for argz.h... no
checking limits.h usability... yes
checking limits.h presence... yes
checking for limits.h... yes
checking locale.h usability... yes
checking locale.h presence... yes
checking for locale.h... yes
checking nl_types.h usability... yes
checking nl_types.h presence... yes
checking for nl_types.h... yes
checking malloc.h usability... no
checking malloc.h presence... no
checking for malloc.h... no
checking stddef.h usability... yes
checking stddef.h presence... yes
checking for stddef.h... yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for unistd.h... (cached) yes
checking sys/param.h usability... yes
checking sys/param.h presence... yes
checking for sys/param.h... yes
checking for asprintf... yes
checking for fwprintf... yes
checking for getcwd... yes
checking for getegid... yes
checking for geteuid... yes
checking for getgid... yes
checking for getuid... yes
checking for mempcpy... no
checking for munmap... yes
checking for putenv... yes
checking for setenv... yes
checking for setlocale... yes
checking for snprintf... yes
checking for stpcpy... yes
checking for strcasecmp... yes
checking for strdup... yes
checking for strtoul... yes
checking for tsearch... yes
checking for wcslen... yes
checking for __argz_count... no
checking for __argz_stringify... no
checking for __argz_next... no
checking for __fsetlocking... no
checking whether _snprintf is declared... no
checking whether _snwprintf is declared... no
checking whether feof_unlocked is declared... yes
checking whether fgets_unlocked is declared... no
checking whether getc_unlocked is declared... yes
checking for iconv... yes
checking how to link with libiconv... /usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib
checking for iconv declaration... 
         extern size_t iconv (iconv_t cd, const char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);
checking for nl_langinfo and CODESET... yes
checking for LC_MESSAGES... yes
checking for bison... bison
checking version of bison... 1.75, ok
checking whether NLS is requested... yes
checking whether included gettext is requested... no
checking for GNU gettext in libc... no
checking for GNU gettext in libintl... yes
checking whether to use NLS... yes
checking where the gettext function comes from... external libintl
checking how to link with libintl... /usr/local/lib/libintl.so -Wl,-rpath -Wl,/usr/local/lib
checking for iconv... (cached) yes
checking how to link with libiconv... /usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib
checking for iconv declaration... (cached) 
         extern size_t iconv (iconv_t cd, const char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);
checking for i386-portbld-freebsd5.4-g++... (cached) c++
checking whether we are using the GNU C++ compiler... (cached) yes
checking whether c++ accepts -g... (cached) yes
checking dependency style of c++... (cached) gcc3
checking for i386-portbld-freebsd5.4-gcc... (cached) cc
checking whether we are using the GNU C compiler... (cached) yes
checking whether cc accepts -g... (cached) yes
checking for cc option to accept ANSI C... (cached) none needed
checking dependency style of cc... (cached) gcc3
checking for a sed that does not truncate output... /usr/bin/sed
checking for ld used by cc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for /usr/bin/ld option to reload object files... -r
checking for BSD-compatible nm... nm
checking whether ln -s works... yes
checking how to recognise dependent libraries... pass_all
checking how to run the C preprocessor... cc -E
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking how to run the C++ preprocessor... c++ -E
checking for i386-portbld-freebsd5.4-g77... no
checking for i386-portbld-freebsd5.4-f77... no
checking for i386-portbld-freebsd5.4-xlf... no
checking for i386-portbld-freebsd5.4-frt... no
checking for i386-portbld-freebsd5.4-pgf77... no
checking for i386-portbld-freebsd5.4-fort77... no
checking for i386-portbld-freebsd5.4-fl32... no
checking for i386-portbld-freebsd5.4-af77... no
checking for i386-portbld-freebsd5.4-f90... no
checking for i386-portbld-freebsd5.4-xlf90... no
checking for i386-portbld-freebsd5.4-pgf90... no
checking for i386-portbld-freebsd5.4-epcf90... no
checking for i386-portbld-freebsd5.4-f95... no
checking for i386-portbld-freebsd5.4-fort... no
checking for i386-portbld-freebsd5.4-xlf95... no
checking for i386-portbld-freebsd5.4-ifc... no
checking for i386-portbld-freebsd5.4-efc... no
checking for i386-portbld-freebsd5.4-pgf95... no
checking for i386-portbld-freebsd5.4-lf95... no
checking for i386-portbld-freebsd5.4-gfortran... no
checking for g77... no
checking for f77... f77
checking whether we are using the GNU Fortran 77 compiler... yes
checking whether f77 accepts -g... yes
checking the maximum length of command line arguments... (cached) 65536
checking command to parse nm output from cc object... ok
checking for objdir... .libs
checking for i386-portbld-freebsd5.4-ar... no
checking for ar... ar
checking for i386-portbld-freebsd5.4-ranlib... ranlib
checking for i386-portbld-freebsd5.4-strip... no
checking for strip... strip
checking if cc static flag  works... yes
checking if cc supports -fno-rtti -fno-exceptions... no
checking for cc option to produce PIC... -fPIC
checking if cc PIC flag -fPIC works... yes
checking if cc supports -c -o file.o... yes
checking whether the cc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... yes
checking dynamic linker characteristics... freebsd5.4 ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
configure: creating libtool
appending configuration tag "CXX" to libtool
checking for ld used by c++... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking whether the c++ linker (/usr/bin/ld) supports shared libraries... yes
checking for c++ option to produce PIC... -fPIC
checking if c++ PIC flag -fPIC works... yes
checking if c++ supports -c -o file.o... yes
checking whether the c++ linker (/usr/bin/ld) supports shared libraries... yes
checking dynamic linker characteristics... freebsd5.4 ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
appending configuration tag "F77" to libtool
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for f77 option to produce PIC... -fPIC
checking if f77 PIC flag -fPIC works... yes
checking if f77 supports -c -o file.o... yes
checking whether the f77 linker (/usr/bin/ld) supports shared libraries... yes
checking dynamic linker characteristics... freebsd5.4 ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking whether make sets $(MAKE)... (cached) yes
checking for i386-portbld-freebsd5.4-ranlib... (cached) ranlib
checking for socket in -lsocket... no
checking for endnetconfig in -lnsl... no
checking for static linking with libdl... failed
checking for dlsym in -ldl... no
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking for ANSI C header files... (cached) yes
checking for sys/wait.h that is POSIX.1 compatible... yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking netinet/in.h usability... yes
checking netinet/in.h presence... yes
checking for netinet/in.h... yes
checking arpa/inet.h usability... yes
checking arpa/inet.h presence... yes
checking for arpa/inet.h... yes
checking for stdint.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking termios.h usability... yes
checking termios.h presence... yes
checking for termios.h... yes
checking for unistd.h... (cached) yes
checking utime.h usability... yes
checking utime.h presence... yes
checking for utime.h... yes
checking for sys/types.h... (cached) yes
checking signal.h usability... yes
checking signal.h presence... yes
checking for signal.h... yes
checking errno.h usability... yes
checking errno.h presence... yes
checking for errno.h... yes
checking sys/un.h usability... yes
checking sys/un.h presence... yes
checking for sys/un.h... yes
checking for sys/stat.h... (cached) yes
checking time.h usability... yes
checking time.h presence... yes
checking for time.h... yes
checking fnmatch.h usability... yes
checking fnmatch.h presence... yes
checking for fnmatch.h... yes
checking regex.h usability... yes
checking regex.h presence... yes
checking for regex.h... yes
checking pwd.h usability... yes
checking pwd.h presence... yes
checking for pwd.h... yes
checking grp.h usability... yes
checking grp.h presence... yes
checking for grp.h... yes
checking stdio.h usability... yes
checking stdio.h presence... yes
checking for stdio.h... yes
checking pthread.h usability... yes
checking pthread.h presence... yes
checking for pthread.h... yes
checking ctype.h usability... yes
checking ctype.h presence... yes
checking for ctype.h... yes
checking getopt.h usability... no
checking getopt.h presence... yes
configure: WARNING: getopt.h: present but cannot be compiled
configure: WARNING: getopt.h:     check for missing prerequisite headers?
configure: WARNING: getopt.h: see the Autoconf documentation
configure: WARNING: getopt.h:     section "Present But Cannot Be Compiled"
configure: WARNING: getopt.h: proceeding with the preprocessor's result
configure: WARNING: getopt.h: in the future, the compiler will take precedence
configure: WARNING:     ## ------------------------------------------------------------------------- ##
configure: WARNING:     ## Report this to http://sourceforge.net/tracker/?group_id=65612&atid=511612 ##
configure: WARNING:     ## ------------------------------------------------------------------------- ##
checking for getopt.h... yes
checking openssl/blowfish.h usability... yes
checking openssl/blowfish.h presence... yes
checking for openssl/blowfish.h... yes
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking for _LARGE_FILES value needed for large files... no
checking for an ANSI C-conforming const... (cached) yes
checking for inline... (cached) inline
checking for off_t... (cached) yes
checking for pid_t... yes
checking for size_t... (cached) yes
checking for struct stat.st_rdev... yes
checking whether sys_siglist is declared... yes
checking for size_t... (cached) yes
checking for size_t... (cached) yes
checking size of size_t... 4
checking for time_t... yes
checking for time_t... (cached) yes
checking size of time_t... 4
checking for off_t... (cached) yes
checking for off_t... (cached) yes
checking size of off_t... 8
checking for working POSIX fnmatch... yes
checking for unistd.h... (cached) yes
checking vfork.h usability... no
checking vfork.h presence... no
checking for vfork.h... no
checking for fork... yes
checking for vfork... yes
checking for working fork... no
checking for working vfork... (cached) yes
checking whether cc needs -traditional... no
checking whether lstat dereferences a symlink specified with a trailing slash... no
checking whether lstat accepts an empty string... no
checking whether sys/types.h defines makedev... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible malloc... yes
checking return type of signal handlers... void
checking whether stat accepts an empty string... no
checking whether utime accepts a null argument... no
checking whether time.h and sys/time.h may both be included... yes
checking for lchown... yes
checking for mkdir... yes
checking for regcomp... yes
checking for rmdir... yes
checking for strerror... yes
checking for utime... yes
checking for getopt() in <unistd.h>... present
checking for getopt_long() in <unistd.h>... absent
checking for optreset presence... not available
checking for deflate in -lz... yes
checking zlib.h usability... yes
checking zlib.h presence... yes
checking for zlib.h... yes
checking for BZ2_bzCompress in -lbz2... yes
checking bzlib.h usability... yes
checking bzlib.h presence... yes
checking for bzlib.h... yes
checking for BF_encrypt in -lcrypto... yes
checking openssl/crypto.h usability... yes
checking openssl/crypto.h presence... yes
checking for openssl/crypto.h... yes
checking attr/xattr.h usability... no
checking attr/xattr.h presence... no
checking for attr/xattr.h... no
checking for lgetxattr in -lattr... no
checking for Extended Attribute support... no
checking ext2fs.h availability... NOT FOUND
configure: WARNING: cannot find ext2_fs.h header file, nodump-flag feature will not be activated
checking for getopt_long in -lgnugetopt... yes
checking for getopt() availability... configure: error: absent but required
===>  Script "configure" failed unexpectedly.
Please report the problem to ebrandi@fugspbr.org [maintainer] and attach the
"/usr/ports/sysutils/dar/work/dar-2.2.2/config.log" including the output of
the failure of your make command. Also, it might be a good idea to provide
an overview of all packages installed on your system (e.g. an `ls
/var/db/pkg`).
*** Error code 1

Stop in /usr/ports/sysutils/dar.

# cat /usr/ports/sysutils/dar/work/dar-2.2.2/config.log
...
configure:34413: checking for getopt() availability
configure:34439: c++ -o conftest -O -pipe -g -march=pentiumpro -I/usr/local/include  -L/usr/local/lib conftest.cc -lgnugetopt -lcrypto -lbz2 -lz  >&5
/usr/local/include/getopt.h: In function `int main()':
/usr/local/include/getopt.h:115: error: too many arguments to function `int getopt()'
conftest.cc:158: error: at this point in file
configure:34445: $? = 1
configure: failed program was:
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME "DAR"
| #define PACKAGE_TARNAME "dar"
| #define PACKAGE_VERSION "2.2.2"
| #define PACKAGE_STRING "DAR 2.2.2"
| #define PACKAGE_BUGREPORT "http://sourceforge.net/tracker/?group_id=65612&atid=511612"
| #define DAR_VERSION "2.2.2"
| #define PACKAGE "dar"
| #define VERSION "2.2.2"
| #ifdef __cplusplus
| extern "C" void std::exit (int) throw (); using std::exit;
| #endif
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LONG_LONG 1
| #define HAVE_LONG_DOUBLE 1
| #define HAVE_WCHAR_T 1
| #define HAVE_WINT_T 1
| #define HAVE_INTTYPES_H_WITH_UINTMAX 1
| #define HAVE_STDINT_H_WITH_UINTMAX 1
| #define HAVE_INTMAX_T 1
| #define HAVE_POSIX_PRINTF 1
| #define HAVE_ALLOCA 1
| #define HAVE_STDLIB_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_GETPAGESIZE 1
| #define HAVE_MMAP 1
| #define INTDIV0_RAISES_SIGFPE 1
| #define HAVE_UNSIGNED_LONG_LONG 1
| #define HAVE_UINTMAX_T 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_STDINT_H 1
| #define SIZE_MAX 4294967295U
| #define HAVE_STDINT_H 1
| #define HAVE_LIMITS_H 1
| #define HAVE_LOCALE_H 1
| #define HAVE_NL_TYPES_H 1
| #define HAVE_STDDEF_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_ASPRINTF 1
| #define HAVE_FWPRINTF 1
| #define HAVE_GETCWD 1
| #define HAVE_GETEGID 1
| #define HAVE_GETEUID 1
| #define HAVE_GETGID 1
| #define HAVE_GETUID 1
| #define HAVE_MUNMAP 1
| #define HAVE_PUTENV 1
| #define HAVE_SETENV 1
| #define HAVE_SETLOCALE 1
| #define HAVE_SNPRINTF 1
| #define HAVE_STPCPY 1
| #define HAVE_STRCASECMP 1
| #define HAVE_STRDUP 1
| #define HAVE_STRTOUL 1
| #define HAVE_TSEARCH 1
| #define HAVE_WCSLEN 1
| #define HAVE_DECL__SNPRINTF 0
| #define HAVE_DECL__SNWPRINTF 0
| #define HAVE_DECL_FEOF_UNLOCKED 1
| #define HAVE_DECL_FGETS_UNLOCKED 0
| #define HAVE_DECL_GETC_UNLOCKED 1
| #define HAVE_ICONV 1
| #define ICONV_CONST const
| #define HAVE_LANGINFO_CODESET 1
| #define HAVE_LC_MESSAGES 1
| #define ENABLE_NLS 1
| #define HAVE_GETTEXT 1
| #define HAVE_DCGETTEXT 1
| #define HAVE_ICONV 1
| #define ICONV_CONST const
| #define HAVE_DLFCN_H 1
| #define HAVE_DIRENT_H 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_WAIT_H 1
| #define HAVE_FCNTL_H 1
| #define HAVE_NETINET_IN_H 1
| #define HAVE_ARPA_INET_H 1
| #define HAVE_STDINT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_SYS_IOCTL_H 1
| #define HAVE_SYS_SOCKET_H 1
| #define HAVE_TERMIOS_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_UTIME_H 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SIGNAL_H 1
| #define HAVE_ERRNO_H 1
| #define HAVE_SYS_UN_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_TIME_H 1
| #define HAVE_FNMATCH_H 1
| #define HAVE_REGEX_H 1
| #define HAVE_PWD_H 1
| #define HAVE_GRP_H 1
| #define HAVE_STDIO_H 1
| #define HAVE_PTHREAD_H 1
| #define HAVE_CTYPE_H 1
| #define HAVE_GETOPT_H 1
| #define HAVE_OPENSSL_BLOWFISH_H 1
| #define HAVE_STRUCT_STAT_ST_RDEV 1
| #define HAVE_DECL_SYS_SIGLIST 1
| #define SIZEOF_SIZE_T 4
| #define SIZEOF_TIME_T 4
| #define SIZEOF_OFF_T 8
| #define HAVE_FNMATCH 1
| #define HAVE_UNISTD_H 1
| #define HAVE_FORK 1
| #define HAVE_VFORK 1
| #define HAVE_WORKING_VFORK 1
| #define HAVE_STDLIB_H 1
| #define HAVE_MALLOC 1
| #define RETSIGTYPE void
| #define TIME_WITH_SYS_TIME 1
| #define HAVE_LCHOWN 1
| #define HAVE_MKDIR 1
| #define HAVE_REGCOMP 1
| #define HAVE_RMDIR 1
| #define HAVE_STRERROR 1
| #define HAVE_UTIME 1
| #define HAVE_GETOPT_IN_UNISTD_H 1
| #define HAVE_LIBZ 1
| #define HAVE_ZLIB_H 1
| #define LIBZ_AVAILABLE 1
| #define HAVE_LIBBZ2 1
| #define HAVE_BZLIB_H 1
| #define LIBBZ2_AVAILABLE 1
| #define HAVE_LIBCRYPTO 1
| #define HAVE_OPENSSL_CRYPTO_H 1
| #define CRYPTO_AVAILABLE 1
| #define HAVE_LIBGNUGETOPT 1
| /* end confdefs.h.  */
| extern "C" {
|                                    #if HAVE_GETOPT_H
|                                    #include <getopt.h>
|                                    #else
|                                    #if HAVE_UNISTD_H
|                                    #include <unistd.h>
|                                    #endif
|                                    #endif
|                                    }
| int
| main ()
| {
|  getopt(0, 0, 0);
|   ;
|   return 0;
| }
configure:34468: error: absent but required
...
#

Maybe something better than this grotesque hack can be invented.
Comment 1 Pav Lucistnik freebsd_committer 2005-05-28 15:38:32 UTC
Dear maintainer of FreeBSD port sysutils/dar, please take a look at

http://www.freebsd.org/cgi/query-pr.cgi?q=81544

Do you approve this patch?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Go back to bed America, your government is in control again. Here's American
Gladiators. Watch this, shut up. Here's 56 channels of it. Watch these
pituitary retards bang their fuckin skulls together and congratulate you on
living in the land of freedom.
  -- Bill Hicks
Comment 2 Pav Lucistnik freebsd_committer 2005-05-28 15:38:35 UTC
State Changed
From-To: open->feedback

Asked maintainer for approval 


Comment 3 Pav Lucistnik freebsd_committer 2005-05-28 15:38:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 4 Edson Brandi 2005-05-28 21:09:21 UTC
Pav,

I dosent has a FreeBSD machine in my hands atm, i cant test this patch.
I`m out of my home (work travel) and only can test this patch in few 
weeks, i read pr and think that can be applied to por withou any problem, 
but as i say, i really cant test it now :(

Edson

On Sat, 28 May 2005, Pav Lucistnik wrote:

> Dear maintainer of FreeBSD port sysutils/dar, please take a look at
>
> http://www.freebsd.org/cgi/query-pr.cgi?q=81544
>
> Do you approve this patch?
>
> -- 
> Pav Lucistnik <pav@oook.cz>
>              <pav@FreeBSD.org>
>
> Go back to bed America, your government is in control again. Here's American
> Gladiators. Watch this, shut up. Here's 56 channels of it. Watch these
> pituitary retards bang their fuckin skulls together and congratulate you on
> living in the land of freedom.
>  -- Bill Hicks
>
>
Comment 5 Pav Lucistnik freebsd_committer 2005-05-29 00:04:43 UTC
State Changed
From-To: feedback->closed

Committed, thanks!